Commit 14be7ba6 authored by James Zern's avatar James Zern

configure: check for perl

Though not (currently) required this tests for perl in all
configurations.

Fixes issue #671

Change-Id: Ibe1e72db74bb4cf3252b73c68ff1dfc2ecfc902b
parent be647f7b
...@@ -160,6 +160,10 @@ for t in ${all_targets}; do ...@@ -160,6 +160,10 @@ for t in ${all_targets}; do
[ -f ${source_path}/${t}.mk ] && enable_feature ${t} [ -f ${source_path}/${t}.mk ] && enable_feature ${t}
done done
if ! perl --version >/dev/null; then
die "Perl is required to build"
fi
# check installed doxygen version # check installed doxygen version
doxy_version=$(doxygen --version 2>/dev/null) doxy_version=$(doxygen --version 2>/dev/null)
doxy_major=${doxy_version%%.*} doxy_major=${doxy_version%%.*}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment